## disorderfs 0.4.1

=== debian/changelog ===
disorderfs (0.4.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andrew Ayer <agwa@andrewayer.name>  Sat, 17 Oct 2015 20:06:53 -0700

disorderfs (0.4.1-1) unstable; urgency=medium

  * New upstream release:
    - Only propagate locks if --share-locks=yes is provided
      (Closes: #800063)

 -- Andrew Ayer <agwa@andrewayer.name>  Sat, 17 Oct 2015 19:53:36 -0700

disorderfs (0.4.0-1) unstable; urgency=low

  * New upstream release:
    - Propagate locks to underlying filesystem
    - Drop direct_io option (Closes: #799866)
    - Implement flush, fsync, and fsyncdir
    - Implement read_buf and write_buf for more efficient I/O
    - Remove most of the BUGS from the man page since they're fixed :-)

 -- Andrew Ayer <agwa@andrewayer.name>  Wed, 23 Sep 2015 09:21:52 -0700

disorderfs (0.3.0-1) unstable; urgency=medium

  * New upstream release:
    - Implement multi-user mode
    - Add options --shuffle-dirents, --reverse-dirents, and --pad-blocks
    - Use l variants of xattr syscalls to avoid following symlinks

 -- Andrew Ayer <agwa@andrewayer.name>  Tue, 22 Sep 2015 07:06:53 -0700

disorderfs (0.2.0-1) unstable; urgency=medium

  * New upstream release:
    - Add xattr support
    - Clarify BUGS in man page
    - Require rootdir arg to be absolute path, and document in man page
  * Set architecture to linux-any

 -- Andrew Ayer <agwa@andrewayer.name>  Wed, 26 Aug 2015 13:11:38 -0700

disorderfs (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #796401)

 -- Andrew Ayer <agwa@andrewayer.name>  Fri, 21 Aug 2015 20:33:59 +0200

## disorderfs 0.4.2

=== Makefile ===
#
# Copyright 2015 Andrew Ayer
# 
# This file is part of disorderfs.
# 
# disorderfs is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# disorderfs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with disorderfs.  If not, see <http://www.gnu.org/licenses/>.
#

# Note: uses GNU Make features

CXXFLAGS ?= -Wall -Wextra -pedantic -O2
PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man
ENABLE_MAN ?= $(HAS_A2X)

# a2x
HAS_A2X ?= $(shell command -v a2x >/dev/null && echo yes || echo no)

# FUSE
FUSE_CFLAGS ?= $(shell pkg-config --cflags fuse) -DFUSE_USE_VERSION=26
FUSE_LIBS ?= $(shell pkg-config --libs fuse) -lulockmgr

# CXXFLAGS
CXXFLAGS += -std=c++11 -Wno-unused-parameter
CXXFLAGS += $(FUSE_CFLAGS)

# Files
OBJFILES = disorderfs.o

all: build

#
# Build
#
BUILD_MAN_TARGETS-yes = build-man
BUILD_MAN_TARGETS-no =
BUILD_TARGETS := build-bin $(BUILD_MAN_TARGETS-$(ENABLE_MAN))

build: $(BUILD_TARGETS)

build-bin: disorderfs

disorderfs: $(OBJFILES)
	$(CXX) $(CXXFLAGS) -o $@ $(OBJFILES) $(LDFLAGS) $(FUSE_LIBS)

build-man: disorderfs.1

disorderfs.1: disorderfs.1.txt
	a2x --doctype manpage --format manpage disorderfs.1.txt

#
# Clean
#
CLEAN_MAN_TARGETS-yes = clean-man
CLEAN_MAN_TARGETS-no =
CLEAN_TARGETS := clean-bin $(CLEAN_MAN_TARGETS-$(ENABLE_MAN))

clean: $(CLEAN_TARGETS)

clean-bin:
	rm -f $(OBJFILES) disorderfs

clean-man:
	rm -f disorderfs.1


#
# Install
#
INSTALL_MAN_TARGETS-yes = install-man
INSTALL_MAN_TARGETS-no =
INSTALL_TARGETS := install-bin $(INSTALL_MAN_TARGETS-$(ENABLE_MAN))

install: $(INSTALL_TARGETS)

install-bin: build-bin
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 disorderfs $(DESTDIR)$(BINDIR)/

install-man: build-man
	install -d $(DESTDIR)$(MANDIR)/man1
	install -m 644 disorderfs.1 $(DESTDIR)$(MANDIR)/man1/

.PHONY: all \
	build build-bin build-man \
	clean clean-bin clean-man \
	install install-bin install-man

=== debian/changelog ===
disorderfs (0.4.2-1) unstable; urgency=medium

  * New upstream release:
    - Fix memory corruption when processing command line arguments,
      which could cause command line options to be ignored.
      (Closes: #808779)

 -- Andrew Ayer <agwa@andrewayer.name>  Tue, 22 Dec 2015 17:34:55 -0800

=== debian/control ===
Source: disorderfs
Maintainer: Andrew Ayer <agwa@andrewayer.name>
Section: utils
Priority: extra
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libfuse-dev, libattr1-dev, pkg-config, asciidoc, xsltproc, libxml2-utils, docbook-xml, docbook-xsl
Vcs-Git: https://anonscm.debian.org/git/reproducible/disorderfs.git
Vcs-Browser: https://anonscm.debian.org/cgit/reproducible/disorderfs.git

Package: disorderfs
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, fuse
Description: FUSE filesystem that introduces non-determinism
 disorderfs is an overlay FUSE filesystem that introduces non-determinism
 into filesystem metadata.  For example, it can randomize the order
 in which directory entries are read.  This is useful for detecting
 non-determinism in the build process.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
export ENABLE_MAN=yes

%:
	dh $@

## disorderfs 0.4.3

=== debian/changelog ===
disorderfs (0.4.3-1) unstable; urgency=medium

  * New upstream release:
    - Clear umask so files are created with correct permissions
      (Closes: #826891)

 -- Andrew Ayer <agwa@andrewayer.name>  Thu, 09 Jun 2016 20:44:03 -0700

## disorderfs 0.5.1

=== debian/changelog ===
disorderfs (0.5.1-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Add --sort-dirents=yes|no option for forcing deterministic.
  * Support absolute paths by transforming ROOTDIR on startup.
  * Print the behaviour on startup to stdout (Closes: #837689)
  * Add testsuite, but do not run in Debian package build due to lack of
    reliable FUSE on buildds.
  * debian/control:
    - Bump Standards-Version to 3.9.8.
    - Add Homepage field.
    - Add myself to Uploaders.

  [ Andrew Ayer ]
  * Fix resolution of ROOTDIR
  * Update man page: absolute path no longer required for ROOTDIR

 -- Chris Lamb <lamby@debian.org>  Tue, 13 Sep 2016 23:11:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: disorderfs
 Maintainer: Andrew Ayer <agwa@andrewayer.name>
+Uploaders: Chris Lamb <lamby@debian.org>
 Section: utils
 Priority: extra
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), libfuse-dev, libattr1-dev, pkg-config, asciidoc, xsltproc, libxml2-utils, docbook-xml, docbook-xsl
+Homepage: https://reproducible-builds.org/
 Vcs-Git: https://anonscm.debian.org/git/reproducible/disorderfs.git
 Vcs-Browser: https://anonscm.debian.org/cgit/reproducible/disorderfs.git

## disorderfs 0.5.2

=== Makefile ===
--- 
+++ 
@@ -93,7 +93,14 @@
 	install -d $(DESTDIR)$(MANDIR)/man1
 	install -m 644 disorderfs.1 $(DESTDIR)$(MANDIR)/man1/
 
+#
+# Test
+#
+test: build
+	cd tests && run-parts --verbose .
+
 .PHONY: all \
 	build build-bin build-man \
 	clean clean-bin clean-man \
-	install install-bin install-man
+	install install-bin install-man \
+	test

=== debian/changelog ===
disorderfs (0.5.2-2) unstable; urgency=medium

  [ Holger Levsen ]
  * debian/control:
    - Move package to section 'optional' from 'extra'.
    - Add myself to uploaders.
    - Bump Standards-Version to 4.1.1, no changes needed.
    - Raise build-depends to debhelper >= 10.2.5~.
    - Use /git/ instead of /cgit/ URL for Vcs-Browser.
  * debian/compat: Bump to level 10.

  [ Ximin Luo ]
  * Add my signing key to upstream/signing-key.asc.

  [ Chris Lamb ]
  * Bump Standards-Version to 4.1.0.
  * debian/watch: Use HTTPS URI.

 -- Holger Levsen <holger@debian.org>  Mon, 30 Oct 2017 17:52:04 +0100

disorderfs (0.5.2-1) unstable; urgency=medium

  * Team upload.

  [ Ximin Luo ]
  *  Add -q, --quiet options to avoid printing to stdout.
  * Update to latest Standards-Version; no changes required.

  [ Chris Lamb ]
  * Add docs regarding uploading a signed tarball.

 -- Ximin Luo <infinity0@debian.org>  Mon, 21 Aug 2017 19:37:28 +0200

=== debian/control ===
Source: disorderfs
Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
Uploaders: Andrew Ayer <agwa@andrewayer.name>, 
 Chris Lamb <lamby@debian.org>,
 Holger Levsen <holger@debian.org>
Section: utils
Priority: optional
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 10.2.5~), libfuse-dev, libattr1-dev, pkg-config, asciidoc, xsltproc, libxml2-utils, docbook-xml, docbook-xsl
Homepage: https://reproducible-builds.org/
Vcs-Git: https://anonscm.debian.org/git/reproducible/disorderfs.git
Vcs-Browser: https://anonscm.debian.org/git/reproducible/disorderfs.git

Package: disorderfs
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, fuse
Description: FUSE filesystem that introduces non-determinism
 disorderfs is an overlay FUSE filesystem that introduces non-determinism
 into filesystem metadata.  For example, it can randomize the order
 in which directory entries are read.  This is useful for detecting
 non-determinism in the build process.

=== debian/tests/control ===
Tests: 0001-smoketest
Depends: @, kmod
Restrictions: needs-root, isolation-machine, allow-stderr

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://reproducible.alioth.debian.org/releases/disorderfs/disorderfs-(.+).tar.bz2

## disorderfs 0.5.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #
-# Copyright 2015 Andrew Ayer
+# Copyright 2015 Andrew Ayer <agwa@andrewayer.name>
+# Copyright 2016, 2017 Chris Lamb <lamby@debian.org>
 # 
 # This file is part of disorderfs.
 #

=== debian/changelog ===
disorderfs (0.5.3-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Update Vcs-{Git,Browser} as repository has been migrated to salsa.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jun 2018 13:24:41 +0000

disorderfs (0.5.3-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Ensure readdir(2) returns consistent/unique inode numbers.
    (Closes: #898287)
  * disorderfs.1.txt:
    - Add a reproducible builds example, highlighting the non-intuitive
      recommendation to sort instead of shuffle.
    - Correct explictly -> explicitly typo.
    - Add example on how to unmount to manpage.
  * Override no-upstream-changelog Lintian warning as we are upstream.
  * Use HTTPS format URI in debian/copyright.
  * Bump Standards-Version to 4.1.4.
  * Move to debhelper compat level 11.
  * Drop trailing whitespace in debian/control.

  [ Holger Levsen ]
  * d/control: Declare that disorderfs doesn't need root to build.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 May 2018 18:02:30 +0100

=== debian/control ===
Source: disorderfs
Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
Uploaders:
 Andrew Ayer <agwa@andrewayer.name>,
 Chris Lamb <lamby@debian.org>,
 Holger Levsen <holger@debian.org>,
Section: utils
Priority: optional
Standards-Version: 4.1.4
Rules-Requires-Root: no
Build-Depends:
 asciidoc,
 debhelper (>= 11~),
 docbook-xml,
 docbook-xsl,
 libattr1-dev,
 libfuse-dev,
 libxml2-utils,
 pkg-config,
 xsltproc,
Homepage: https://reproducible-builds.org/
Vcs-Git: https://salsa.debian.org/reproducible-builds/disorderfs.git
Vcs-Browser: https://salsa.debian.org/reproducible-builds/disorderfs

Package: disorderfs
Architecture: linux-any
Depends:
 fuse,
 ${misc:Depends},
 ${shlibs:Depends},
Description: FUSE filesystem that introduces non-determinism
 disorderfs is an overlay FUSE filesystem that introduces non-determinism
 into filesystem metadata.  For example, it can randomize the order
 in which directory entries are read.  This is useful for detecting
 non-determinism in the build process.

## disorderfs 0.5.4

=== debian/changelog ===
disorderfs (0.5.4-1) unstable; urgency=medium

  [ Bernhard M. Wiedemann ]
  * Use sys/xattr.h from glibc; libattr-2.4.48 dropped its own xattr.h.

  [ Chris Lamb ]
  * Rewrite call to readdir_r(3) to use readdir(3) instead as the former has
    been deprecated in glibc 2.24. This silences a -Wdeprecated-declarations
    GCC warning.

  [ Mattia Rizzolo ]
  * Update README with updated instructions on how to release the tarball.

 -- Chris Lamb <lamby@debian.org>  Wed, 26 Sep 2018 21:14:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Holger Levsen <holger@debian.org>,
 Section: utils
 Priority: optional
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Build-Depends:
  asciidoc,

## disorderfs 0.5.5

=== debian/changelog ===
disorderfs (0.5.5-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Inform FUSE that we wrap and thus accept the UTIME_OMIT (and UTIME_NOW)
    magic values to ensure that "touch -m …" and "touch -a …" work as expected.
    (Closes: #911281)

  [ Bernhard M. Wiedemann ]
  * Add tests for file modification and access time issues.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Oct 2018 16:30:58 -0400

disorderfs (0.5.4-2) unstable; urgency=medium

  * Use the new debhelper-compat(=11) notation and drop d/compat.
  * Update d/watch file for salsa.

 -- Holger Levsen <holger@debian.org>  Sat, 13 Oct 2018 13:08:55 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  asciidoc,
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  docbook-xml,
  docbook-xsl,
  libattr1-dev,

## disorderfs 0.5.6

=== Makefile ===
--- 
+++ 
@@ -94,11 +94,8 @@
 	install -d $(DESTDIR)$(MANDIR)/man1
 	install -m 644 disorderfs.1 $(DESTDIR)$(MANDIR)/man1/
 
-#
-# Test
-#
 test: build
-	cd tests && run-parts --verbose .
+	$(MAKE) -C tests
 
 .PHONY: all \
 	build build-bin build-man \

=== debian/changelog ===
disorderfs (0.5.6-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.3.0.

 -- Holger Levsen <holger@debian.org>  Thu, 17 Jan 2019 18:56:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Holger Levsen <holger@debian.org>,
 Section: utils
 Priority: optional
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Build-Depends:
  asciidoc,

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 %:
 	dh $@
+
+override_dh_auto_test:
+	# Tests require working FUSE setup

## disorderfs 0.5.8

=== Makefile ===
--- 
+++ 
@@ -30,8 +30,9 @@
 HAS_A2X ?= $(shell command -v a2x >/dev/null && echo yes || echo no)
 
 # FUSE
-FUSE_CFLAGS ?= $(shell pkg-config --cflags fuse) -DFUSE_USE_VERSION=26
-FUSE_LIBS ?= $(shell pkg-config --libs fuse) -lulockmgr
+PKG_CONFIG ?= pkg-config
+FUSE_CFLAGS ?= $(shell $(PKG_CONFIG) --cflags fuse) -DFUSE_USE_VERSION=26
+FUSE_LIBS ?= $(shell $(PKG_CONFIG) --libs fuse) -lulockmgr
 
 # CXXFLAGS
 CXXFLAGS += -std=c++11 -Wno-unused-parameter

=== debian/changelog ===
disorderfs (0.5.8-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:21 +0100

disorderfs (0.5.8-2) unstable; urgency=medium

  * No change source upload to allow testing migration.

 -- Holger Levsen <holger@debian.org>  Thu, 23 Jan 2020 18:21:57 +0100

disorderfs (0.5.8-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Use the build architecture's pkg-config to permit cross-architecture
    builds. (Closes: #949609)

 -- Chris Lamb <lamby@debian.org>  Wed, 22 Jan 2020 21:23:23 +0000

disorderfs (0.5.7-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Ignore the return values to fsyncdir to ensure (for example) dpkg(1) can
    "flush" /var/lib/dpkg.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Re-export upstream signing key without extra signatures.

  [ Holger Levsen ]
  * New upstream release.
  * Bump standards version to 4.5.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Tue, 21 Jan 2020 13:14:46 +0100

disorderfs (0.5.6-2) unstable; urgency=medium

  * Bump standards version to 4.4.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 01 Aug 2019 11:08:07 -0300

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Holger Levsen <holger@debian.org>,
 Section: utils
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
  asciidoc,
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  docbook-xml,
  docbook-xsl,
  libattr1-dev,

## disorderfs 0.5.10

=== debian/changelog ===
disorderfs (0.5.10-1) unstable; urgency=medium

  * Use "directory entries" over "dirents" in human-readable output/log
    messages.
  * Apply astyle with the default settings to disorderfs.cpp.

 -- Chris Lamb <lamby@debian.org>  Thu, 21 May 2020 11:52:27 +0100

disorderfs (0.5.9-2) unstable; urgency=medium

  * Bump debhelper-compat to 13.

 -- Holger Levsen <holger@debian.org>  Tue, 12 May 2020 15:17:10 +0200

disorderfs (0.5.9-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't attempt to drop groups in multi-user mode when we are not root.
    (Closes: reproducible-builds/disorderfs#1)

  [ Vagrant Cascadian ]
  * Update Vcs-Git in debian/control to include the "debian" packaging branch.

 -- Chris Lamb <lamby@debian.org>  Thu, 16 Apr 2020 11:20:27 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  asciidoc,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  docbook-xml,
  docbook-xsl,
  libattr1-dev,
@@ -19,7 +19,7 @@
  pkg-config,
  xsltproc,
 Homepage: https://reproducible-builds.org/
-Vcs-Git: https://salsa.debian.org/reproducible-builds/disorderfs.git
+Vcs-Git: https://salsa.debian.org/reproducible-builds/disorderfs.git -b debian
 Vcs-Browser: https://salsa.debian.org/reproducible-builds/disorderfs
 
 Package: disorderfs

## disorderfs 0.5.11

=== debian/changelog ===
disorderfs (0.5.11-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:45:28 +1100

disorderfs (0.5.11-3build1) noble; urgency=high

  * No change rebuild against libfuse2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:55:04 +0100

disorderfs (0.5.11-3) unstable; urgency=medium

  * disorderfs.1.txt: fix typo in list index, taken from upstream git.
  * Bump standards version to 4.6.2, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 16 Feb 2023 14:57:44 +0100

disorderfs (0.5.11-2) unstable; urgency=medium

  * Bump standards version to 4.6.0

 -- Holger Levsen <holger@debian.org>  Mon, 25 Oct 2021 10:41:00 +0200

disorderfs (0.5.11-1) unstable; urgency=medium

  [ Holger Levsen ]
  * New upstream release.
  * Update standards version to 4.5.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Tue, 19 Jan 2021 12:56:37 +0100

disorderfs (0.5.10-2) unstable; urgency=medium

  * d/rules: enable hardening via DEB_BUILD_MAINT_OPTIONS.
  * Drop debian/disorderfs.lintian-overrides.

 -- Holger Levsen <holger@debian.org>  Tue, 27 Oct 2020 21:37:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: disorderfs
-Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
 Uploaders:
  Andrew Ayer <agwa@andrewayer.name>,
  Chris Lamb <lamby@debian.org>,
  Holger Levsen <holger@debian.org>,
 Section: utils
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  asciidoc,
+ bc,
  debhelper-compat (= 13),
  docbook-xml,
  docbook-xsl,

=== debian/tests/control ===
Tests: 0001-smoketest
Depends: @, kmod, build-essential
Restrictions: needs-root, isolation-machine, allow-stderr

## disorderfs 0.6.0

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,6 @@
 
 # Note: uses GNU Make features
 
-CXXFLAGS ?= -Wall -Wextra -pedantic -O2
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= $(PREFIX)/share/man
@@ -35,6 +34,7 @@
 FUSE_LIBS ?= $(shell $(PKG_CONFIG) --libs fuse) -lulockmgr
 
 # CXXFLAGS
+CXXFLAGS += -Wall -Wextra -pedantic -O2 -g
 CXXFLAGS += -std=c++11 -Wno-unused-parameter
 CXXFLAGS += $(FUSE_CFLAGS)

=== debian/changelog ===
disorderfs (0.6.0-1) unstable; urgency=medium

  [ Siva Mahadevan ]
  * Improve portability, especially to FreeBSD.

  [ Chris Lamb ]
  * Drop a patch made on debian branch; already made on master.

  [ Holger Levsen ]
  * disorderfs.1.txt: Fix a typo in the list index and set the revdate to the
    last relevant change.

 -- Chris Lamb <lamby@debian.org>  Mon, 19 May 2025 10:08:54 -0700

disorderfs (0.5.11-4) unstable; urgency=medium

  * Replace build-dependency on obsolete pkg-config with one on pkgconf,
    thanks lintian.
  * Bump standards version to 4.7.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 30 Sep 2024 15:18:03 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export PREFIX=/usr
 export ENABLE_MAN=yes
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

## disorderfs 0.6.1

=== Makefile ===
--- 
+++ 
@@ -30,12 +30,12 @@
 
 # FUSE
 PKG_CONFIG ?= pkg-config
-FUSE_CFLAGS ?= $(shell $(PKG_CONFIG) --cflags fuse) -DFUSE_USE_VERSION=26
-FUSE_LIBS ?= $(shell $(PKG_CONFIG) --libs fuse) -lulockmgr
+FUSE_CFLAGS ?= $(shell $(PKG_CONFIG) --cflags fuse3) -DFUSE_USE_VERSION=31
+FUSE_LIBS ?= $(shell $(PKG_CONFIG) --libs fuse3)
 
 # CXXFLAGS
 CXXFLAGS += -Wall -Wextra -pedantic -O2 -g
-CXXFLAGS += -std=c++11 -Wno-unused-parameter
+CXXFLAGS += -std=c++20 -Wno-unused-parameter
 CXXFLAGS += $(FUSE_CFLAGS)
 
 # Files

=== debian/changelog ===
disorderfs (0.6.1-1) unstable; urgency=medium

  [ Roland Clobus ]
  * Move from fuse to fuse3. Closes: #1084451.

  [ Holger Levsen ]
  * Depend on fuse3 instead of fuse and build-depend on libfuse3-dev instead
    of libfuse-dev.
  * d/control:
    - bump standards version to 4.7.3.
    - stop stating optional priority as this is the default now.
    - drop Rules-Requires-Root: no (now the default).
  * gitlab-ci.yml: try not to exempt the debian branch from testing.

 -- Holger Levsen <holger@debian.org>  Sat, 03 Jan 2026 12:03:10 +0100

=== debian/control ===
Source: disorderfs
Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
Uploaders:
 Andrew Ayer <agwa@andrewayer.name>,
 Chris Lamb <lamby@debian.org>,
 Holger Levsen <holger@debian.org>,
Section: utils
Standards-Version: 4.7.3
Build-Depends:
 asciidoc,
 bc,
 debhelper-compat (= 13),
 docbook-xml,
 docbook-xsl,
 libattr1-dev,
 libfuse3-dev,
 libxml2-utils,
 pkgconf,
 xsltproc,
Homepage: https://reproducible-builds.org/
Vcs-Git: https://salsa.debian.org/reproducible-builds/disorderfs.git -b debian
Vcs-Browser: https://salsa.debian.org/reproducible-builds/disorderfs

Package: disorderfs
Architecture: linux-any
Depends:
 fuse3 (>= 3.10.1-3) | fuse (<< 3),
 ${misc:Depends},
 ${shlibs:Depends},
Description: FUSE filesystem that introduces non-determinism
 disorderfs is an overlay FUSE filesystem that introduces non-determinism
 into filesystem metadata.  For example, it can randomize the order
 in which directory entries are read.  This is useful for detecting
 non-determinism in the build process.

## disorderfs 0.6.2

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,9 @@
 CXXFLAGS += -Wall -Wextra -pedantic -O2 -g
 CXXFLAGS += -std=c++20 -Wno-unused-parameter
 CXXFLAGS += $(FUSE_CFLAGS)
+ifeq ($(shell getconf LONG_BIT),32)
+    CXXFLAGS += -D_FILE_OFFSET_BITS=64
+endif
 
 # Files
 OBJFILES = disorderfs.o

=== debian/changelog ===
disorderfs (0.6.2-1) unstable; urgency=medium

  [ Holger Levsen ]
  * New upstream release, fixing ftbfs on i386.
  * Add instructions how to add the upstream release to our lfs repo.

  [ Roland Clobus ]
  * set _FILE_OFFSET_BITS for 32-bit platforms.
  * d/control: let only fuse3 satisfy dependencies.

 -- Holger Levsen <holger@debian.org>  Sun, 04 Jan 2026 21:59:14 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Package: disorderfs
 Architecture: linux-any
 Depends:
- fuse3 (>= 3.10.1-3) | fuse (<< 3),
+ fuse3 (>= 3.10.1-3),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: FUSE filesystem that introduces non-determinism
